import system, time, wifi, gc
import woezel, rgb, uinterface
from default_icons import icon_no_wifi, animation_connecting_wifi, animation_loading

if not wifi.status():
    data, size, frames = animation_connecting_wifi
    rgb.clear()
    rgb.framerate(3)
    rgb.gif(data, (12, 0), size, frames)
    wifi.connect()
    if wifi.wait():
        rgb.clear()
        rgb.framerate(20)
    else:
        print('No wifi')
        rgb.clear()
        rgb.framerate(20)
        data, frames = icon_no_wifi
        rgb.image(data, (12, 0), (8,8))
        time.sleep(3)
        rgb.clear()

if not wifi.status():
    print("Error connecting to wifi")
    system.reboot()
	
del icon_no_wifi, animation_connecting_wifi, animation_loading, uinterface

apps = [app['slug'] for app in woezel.get_pkg_list()]
rgb.clear()
rgb.scrolltext('installing:', (0,255,255), (0,0))

for app in apps:
    gc.collect()
    print('mem free:', gc.mem_free())
    rgb.clear()
    rgb.scrolltext(app)
    woezel.install(app)

import deepsleep
deepsleep.reboot()